{% extends "direct_code.j2" %}
{% block attributes_definition %}

    #    Attribute definitions
    attr_list = {
        'CSVInfo':
            [[tango.DevString,
            tango.SCALAR,
            tango.READ]],
{% if csv_version != "" %}
        'Version_CSV':
            [[tango.DevString,
            tango.SCALAR,
            tango.READ]],
{% endif %}
        'Version_CodeGenerator':
            [[tango.DevString,
            tango.SCALAR,
            tango.READ]],
{% for attribute in attributes %}
        '{{attribute.name}}': 
{%      if attribute.dtype == 'short' %}
            [[tango.DevShort,
{%      elif attribute.dtype == 'long' %}
            [[tango.DevLong,
{%      elif attribute.dtype == 'bool' %}
            [[tango.DevBoolean,
{%      elif attribute.dtype == 'string' %}
            [[tango.DevString,
{%      else %}
            [[tango.DevDouble,
{%      endif %}
            tango.SCALAR,
{%      if attribute.access == 'read_write' %}
            tango.READ_WRITE],
{%      else %}
            tango.READ],
{%      endif %}            
            {
                'label': "{{attribute.descp}}",
                'unit': "{{attribute.units}}",
{%      if attribute.dtype != 'bool' %}
                'max value': "{{attribute.max_value}}",
                'min value': "{{attribute.min_value}}",
{%      endif %}
{%      if attribute.access == 'read_write' %}
                'memorized': "true_without_hard_applied"
{%      endif %}
            }],
{% endfor %}
        }
{% endblock %}
